For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Collaborator to a Project
      • POSTBatch create Collaborators and PendingCollaborators within a Project
      • DELBatch delete Collaborators and PendingCollaborators for a Project
      • POSTCreate a Project
      • DELDelete Project by ID
      • GETGet current User(s) membership for a Project
      • GETGet Project by ID
      • GETGet Project Collaborators
      • GETGet Projects by Team
      • PUTUpdate a Project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Add a Collaborator to a Project

POST
https://api.frame.io/v2/projects/:project_id/collaborators
POST
/v2/projects/:project_id/collaborators
1import requests
2
3url = "https://api.frame.io/v2/projects/project_id/collaborators"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "_type": "collaborator",
3 "email": "jane.doe@example.com",
4 "project_id": "eefb57e0-79f2-4bc7-9b70-99fbc175175c",
5 "user": {
6 "digest_frequency": "weekly",
7 "image_32": "https://cdn.frame.io/images/users/32/janedoe.png",
8 "image_128": "https://cdn.frame.io/images/users/128/janedoe.png",
9 "from_google": true,
10 "mfa_enforced_at": "2023-11-15T09:30:00Z",
11 "email": "jane.doe@example.com",
12 "name": "Jane Doe",
13 "image_64": "https://cdn.frame.io/images/users/64/janedoe.png",
14 "timezone_value": "America/New_York",
15 "account_id": "acc_1234567890abcdef",
16 "updated_at": "2024-05-20T14:22:00Z",
17 "image_256": "https://cdn.frame.io/images/users/256/janedoe.png",
18 "_type": "user",
19 "user_hash": "a1b2c3d4e5f67890",
20 "upload_url": "https://uploads.frame.io/user/janedoe",
21 "profile_image": "https://cdn.frame.io/images/users/profile/janedoe.png",
22 "first_login_at": "2022-01-10T08:00:00Z",
23 "joined_via": "email_invite",
24 "id": "user_9876543210fedcba",
25 "next_digest_date": "2024-06-01T08:00:00Z",
26 "last_seen": "2024-05-25T16:45:00Z",
27 "inserted_at": "2022-01-10T08:00:00Z",
28 "from_adobe": false,
29 "avatar_color": "#4A90E2",
30 "highest_account_role": "editor",
31 "integrations": [
32 "slack",
33 "google_drive"
34 ],
35 "roles": {
36 "admin": true,
37 "id": "role_1234abcd",
38 "sales": false,
39 "support": true,
40 "service_desk": false
41 },
42 "user_default_color": "#FF5733"
43 },
44 "user_id": "user_9876543210fedcba"
45}
Add a new Collaborator to a Project
Was this page helpful?
Previous

Batch create Collaborators and PendingCollaborators within a Project

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequiredformat: "uuid"

Query parameters

includestringOptional

Include additional “pre-loads” for this resource

Request

Collaborator to create or update
emailstringOptional

Response

Collaborator success response
_typeenum
Allowed values:
emailstring
project_idstringformat: "uuid"
userobject
User model
user_idstringformat: "uuid"

Errors

401
Unauthorized Error
404
Not Found Error